org.richfaces.renderkit.html

## Class SortIconRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.richfaces.renderkit.html.SortIconRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ScrollableDataTableHeaderItselfRenderer

      public abstract class SortIconRenderer
      extends org.ajax4jsf.renderkit.RendererBase

  Author:
    Maksim Kaszynski

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortIconRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderAscIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `renderDescIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortIconRenderer

          public SortIconRenderer()

  - ### Method Detail

    - #### renderAscIcon

          public void renderAscIcon(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderDescIcon

          public void renderDescIcon(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.